This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 429958 - Separate logrotate scripts from syslog packages
Separate logrotate scripts from syslog packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
: 432005 442870 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 18:28 EST by Douglas E. Warner
Modified: 2009-07-14 14:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2008-01-23 18:28:48 EST
We should create a separate package that syslog packages can require for 
providing syslog log rotation scripts so the various syslog packages don't 
conflict.  An initial case is that rsyslog and syslog-ng both provide 
an /etc/logrotate.d/syslog file, and having separate files will result in 
double-rotation.
Comment 1 Douglas E. Warner 2008-01-23 18:30:46 EST
See bug#400661 about syslog-ng and rsyslog conflicting.
Comment 2 Peter Vrabec 2008-01-25 07:13:58 EST
OK, what if we change /etc/logrotate.d/syslog, so it HUP both rsyslog and 
syslog-ng? Of course there will be separate pid files and rsyslog, syslog-ng 
will provide same /etc/logrotate.d/syslog.

We have similar situation in RHEL and we solve it this way.
Comment 3 Douglas E. Warner 2008-01-25 08:38:11 EST
Re: comment#2, that would be fine with me as long as RPM doesn't care about 
the conflicting file.  Should this file be maintained upstream somewhere, or 
should we just do our best to keep it in sync between rsyslog and syslog-ng?
Comment 4 Douglas E. Warner 2008-02-20 20:27:57 EST
*** Bug 432005 has been marked as a duplicate of this bug. ***
Comment 5 Douglas E. Warner 2008-04-17 10:41:29 EDT
*** Bug 442870 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2008-05-14 00:51:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:25:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 14:20:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.